package org.iotivity.bridge.homeserver.handler.server;

import android.util.Log;

import org.iotivity.OCRequest;
import org.iotivity.OCRequestHandler;
import org.iotivity.bridge.homeserver.BridgeService;
import org.iotivity.bridge.homeserver.model.Light;
import org.iotivity.bridge.homeserver.BridgeServerActivity;

public class PutLightRequestHandler implements OCRequestHandler {

    private static final String TAG = PutLightRequestHandler.class.getSimpleName();

    private BridgeService service;
    private Light light;

    public PutLightRequestHandler(BridgeService service, Light light) {
        this.service = service;
        this.light = light;
    }

    @Override
    public void handler(OCRequest request, int interfaces) {
        Log.d(TAG, "inside Put Light Request Handler");
        new PostLightRequestHandler(service, light).handler(request, interfaces);
    }
}
